PATH:
usr
/
bin
#!/usr/bin/bash # Copyright (C) 1996-2021 Free Software Foundation, Inc. # This file is part of the GNU C Library. # The GNU C Library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation; either # version 2.1 of the License, or (at your option) any later version. # The GNU C Library is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU # Lesser General Public License for more details. # You should have received a copy of the GNU Lesser General Public # License along with the GNU C Library; if not, see # <https://www.gnu.org/licenses/>. # This is the `ldd' command, which lists what shared libraries are # used by given dynamically-linked executables. It works by invoking the # run-time dynamic linker as a command and setting the environment # variable LD_TRACE_LOADED_OBJECTS to a non-empty value. # We should be able to find the translation right at the beginning. TEXTDOMAIN=libc TEXTDOMAINDIR=/usr/share/locale RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2" warn= bind_now= verbose= while test $# -gt 0; do case "$1" in --vers | --versi | --versio | --version) echo 'ldd (GNU libc) 2.34' printf $"Copyright (C) %s Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " "2021" printf $"Written by %s and %s. " "Roland McGrath" "Ulrich Drepper" exit 0 ;; --h | --he | --hel | --help) echo $"Usage: ldd [OPTION]... FILE... --help print this help and exit --version print version information and exit -d, --data-relocs process data relocations -r, --function-relocs process data and function relocations -u, --unused print unused direct dependencies -v, --verbose print all information " printf $"For bug reporting instructions, please see:\\n%s.\\n" \ "<https://www.gnu.org/software/libc/bugs.html>" exit 0 ;; -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \ --data-rel | --data-relo | --data-reloc | --data-relocs) warn=yes shift ;; -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \ --function | --function- | --function-r | --function-re | --function-rel | \ --function-relo | --function-reloc | --function-relocs) warn=yes bind_now=yes shift ;; -v | --verb | --verbo | --verbos | --verbose) verbose=yes shift ;; -u | --u | --un | --unu | --unus | --unuse | --unused) unused=yes shift ;; --v | --ve | --ver) echo >&2 $"ldd: option \`$1' is ambiguous" exit 1 ;; --) # Stop option processing. shift; break ;; -*) echo >&2 'ldd:' $"unrecognized option" "\`$1'" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; *) break ;; esac done nonelf () { # Maybe extra code for non-ELF binaries. return 1; } add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now" add_env="$add_env LD_LIBRARY_VERSION=\$verify_out" add_env="$add_env LD_VERBOSE=$verbose" if test "$unused" = yes; then add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\"" fi # The following command substitution is needed to make ldd work in SELinux # environments where the RTLD might not have permission to write to the # terminal. The extra "x" character prevents the shell from trimming trailing # newlines from command substitution results. This function is defined as a # subshell compound list (using "(...)") to prevent parameter assignments from # affecting the calling shell execution environment. try_trace() ( output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc) rc=$? printf '%s' "${output%x}" return $rc ) case $# in 0) echo >&2 'ldd:' $"missing file arguments" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; 1) single_file=t ;; *) single_file=f ;; esac result=0 for file do # We don't list the file name when there is only one. test $single_file = t || echo "${file}:" case $file in */*) : ;; *) file=./$file ;; esac if test ! -e "$file"; then echo "ldd: ${file}:" $"No such file or directory" >&2 result=1 elif test ! -f "$file"; then echo "ldd: ${file}:" $"not regular file" >&2 result=1 elif test -r "$file"; then test -x "$file" || echo 'ldd:' $"\ warning: you do not have execution permission for" "\`$file'" >&2 RTLD= ret=1 for rtld in ${RTLDLIST}; do if test -x $rtld; then verify_out=`${rtld} --verify "$file"` ret=$? case $ret in [02]) RTLD=${rtld}; break;; esac fi done case $ret in 1) # This can be a non-ELF binary or no binary at all. nonelf "$file" || { echo $" not a dynamic executable" >&2 result=1 } ;; 0|2) try_trace "$RTLD" "$file" || result=1 ;; *) echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2 exit 1 ;; esac else echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2 result=1 fi done exit $result # Local Variables: # mode:ksh # End:
[+]
..
[-] fc-cat
[open]
[-] mariadb-access
[open]
[-] pre-grohtml
[open]
[-] echo
[open]
[-] x86_64-redhat-linux-gcc
[open]
[-] composite
[open]
[-] autoreconf
[open]
[-] size
[open]
[-] mkfifo
[open]
[-] libnetcfg
[open]
[-] aclocal-1.16
[open]
[-] diff3
[open]
[-] tar
[open]
[-] precat
[open]
[-] du
[open]
[-] tclsh
[open]
[-] touch
[open]
[-] fc-match
[open]
[-] replace
[open]
[-] gprof
[open]
[-] post-grohtml
[open]
[-] shuf
[open]
[-] zsoelim
[open]
[-] paste
[open]
[-] yes
[open]
[-] chmod
[open]
[-] file
[open]
[-] sum
[open]
[-] more
[open]
[-] pango-view
[open]
[-] gzip
[open]
[-] ldd
[open]
[-] mysqlimport
[open]
[-] montage
[open]
[-] b2sum
[open]
[-] renice
[open]
[-] cal
[open]
[-] perlml
[open]
[-] strip
[open]
[-] dig
[open]
[-] fc-cache
[open]
[-] fold
[open]
[-] scl_source
[open]
[-] rvim
[open]
[-] znew
[open]
[-] git-shell
[open]
[-] gtroff
[open]
[-] fmt
[open]
[-] xsubpp
[open]
[-] passwd
[open]
[-] mailx
[open]
[-] patch
[open]
[-] nm
[open]
[-] isosize
[open]
[-] strings
[open]
[-] gtbl
[open]
[-] gem
[open]
[-] aclocal
[open]
[-] timeout
[open]
[-] python2.7
[open]
[-] h2ph
[open]
[-] curl
[open]
[-] sync
[open]
[-] sftp
[open]
[-] tac
[open]
[-] enchant
[open]
[-] ps2pdf13
[open]
[-] basenc
[open]
[-] vi
[open]
[-] mariadb-find-rows
[open]
[-] flex
[open]
[-] gcc-nm
[open]
[-] mysql_find_rows
[open]
[-] ifnames
[open]
[-] dircolors
[open]
[-] soelim
[open]
[-] ssh-keygen
[open]
[-] xmlwf
[open]
[-] tclsh8.6
[open]
[-] gsnd
[open]
[-] autoconf
[open]
[-] m4
[open]
[-] whoami
[open]
[-] zipinfo
[open]
[-] truncate
[open]
[-] bzdiff
[open]
[-] stat
[open]
[-] head
[open]
[-] gmake
[open]
[-] awk
[open]
[-] ps2ps
[open]
[-] mysqlshow
[open]
[-] crontab.cagefs
[open]
[-] basename
[open]
[-] fc-pattern
[open]
[-] batch
[open]
[-] nroff
[open]
[-] stream
[open]
[-] bzgrep
[open]
[-] piconv
[open]
[-] rmdir
[open]
[-] hexdump
[open]
[-] bunzip2
[open]
[-] xxd
[open]
[-] catchsegv
[open]
[-] grotty
[open]
[-] bzcmp
[open]
[-] mariadb-admin
[open]
[-] sh
[open]
[-] bash
[open]
[-] mariadb-show
[open]
[-] xmllint
[open]
[-] autoupdate
[open]
[-] perl
[open]
[-] gm
[open]
[-] fc-validate
[open]
[-] vim
[open]
[-] pod2usage
[open]
[-] rview
[open]
[-] c++
[open]
[-] g++
[open]
[-] sed
[open]
[-] identify
[open]
[-] mysqldump
[open]
[-] tty
[open]
[-] ssh-agent
[open]
[-] icuinfo
[open]
[-] mesg
[open]
[-] realpath
[open]
[-] pango-segmentation
[open]
[-] ruby
[open]
[-] git-upload-archive
[open]
[-] sdiff
[open]
[-] bashbug-64
[open]
[-] col
[open]
[-] taskset
[open]
[-] zip
[open]
[-] login
[open]
[-] pwdx
[open]
[-] perlbug
[open]
[-] c99
[open]
[-] mogrify
[open]
[-] python
[open]
[-] grops
[open]
[-] cp
[open]
[-] atq
[open]
[-] kill
[open]
[-] mariadb-embedded
[open]
[-] hostid
[open]
[-] setterm
[open]
[-] gcc-ar
[open]
[-] host
[open]
[-] uptime
[open]
[-] as
[open]
[-] unzipsfx
[open]
[-] link
[open]
[-] rev
[open]
[-] od
[open]
[-] ssh-add
[open]
[-] unzip
[open]
[-] dnstap-read
[open]
[-] zforce
[open]
[-] word-list-compress
[open]
[-] rename
[open]
[-] dir
[open]
[-] split
[open]
[-] nsupdate
[open]
[-] sleep
[open]
[-] tr
[open]
[-] ipcrm
[open]
[-] ps2pdf
[open]
[-] arpaname
[open]
[-] unexpand
[open]
[-] objdump
[open]
[-] tset
[open]
[-] mariadb-secure-installation
[open]
[-] openssl
[open]
[-] mariadb-dump
[open]
[-] chcon
[open]
[-] ps2pdf12
[open]
[-] test
[open]
[-] automake-1.16
[open]
[-] pic
[open]
[-] tail
[open]
[-] mysqlbinlog
[open]
[-] gawk
[open]
[-] pkg-config
[open]
[-] ssh-copy-id
[open]
[-] cldetect
[open]
[-] tput
[open]
[-] tzselect
[open]
[-] column
[open]
[-] c++filt
[open]
[-] c89
[open]
[-] watch
[open]
[-] tmpwatch
[open]
[-] crontab
[open]
[-] ispell
[open]
[-] pathchk
[open]
[-] mcookie
[open]
[-] free
[open]
[-] reset
[open]
[-] fc-cache-64
[open]
[-] enchant-lsmod
[open]
[-] gneqn
[open]
[-] readlink
[open]
[-] gpgsplit
[open]
[-] ssh-keyscan
[open]
[-] zipgrep
[open]
[-] uapi
[open]
[-] ionice
[open]
[-] base64
[open]
[-] gnroff
[open]
[-] nproc
[open]
[-] logname
[open]
[-] icu-config-64
[open]
[-] nl
[open]
[-] lto-dump
[open]
[-] xsltproc
[open]
[-] whereis
[open]
[-] zcmp
[open]
[-] python3.9
[open]
[-] mytop
[open]
[-] localedef
[open]
[-] flock
[open]
[-] grep
[open]
[-] gunzip
[open]
[-] ping
[open]
[-] pl2pm
[open]
[-] geoiplookup
[open]
[-] stty
[open]
[-] dd
[open]
[-] bzmore
[open]
[-] locale
[open]
[-] gpgv
[open]
[-] mv
[open]
[-] ps2pdfwr
[open]
[-] objcopy
[open]
[-] animate
[open]
[-] namei
[open]
[-] utmpdump
[open]
[-] gpg-error
[open]
[-] my_print_defaults
[open]
[-] passenger
[open]
[-] ld
[open]
[-] x86_64-redhat-linux-c++
[open]
[-] nohup
[open]
[-] zless
[open]
[-] less
[open]
[-] mariadb-binlog
[open]
[-] dirname
[open]
[-] ipcs
[open]
[-] ul
[open]
[-] chgrp
[open]
[-] lesskey
[open]
[-] mariadb-tzinfo-to-sql
[open]
[-] zcat
[open]
[-] [
[open]
[-] unlink
[open]
[-] vimtutor
[open]
[-] msql2mysql
[open]
[-] toe
[open]
[-] tabs
[open]
[-] ptx
[open]
[-] autoheader
[open]
[-] selectorctl
[open]
[-] lex
[open]
[-] h2xs
[open]
[-] expr
[open]
[-] run-with-aspell
[open]
[-] freetype-config
[open]
[-] gencat
[open]
[-] gpg
[open]
[-] gcov-dump
[open]
[-] readelf
[open]
[-] ld.bfd
[open]
[-] GET
[open]
[-] scl_enabled
[open]
[-] cagefs_enter.proxied
[open]
[-] sha1sum
[open]
[-] recode
[open]
[-] neqn
[open]
[-] expand
[open]
[-] wc
[open]
[-] libtoolize
[open]
[-] hunspell
[open]
[-] make
[open]
[-] setsid
[open]
[-] icu-config
[open]
[-] ps
[open]
[-] splain
[open]
[-] mariadb-import
[open]
[-] strace
[open]
[-] autom4te
[open]
[-] funzip
[open]
[-] stdbuf
[open]
[-] troff
[open]
[-] ps2ps2
[open]
[-] cut
[open]
[-] pdf2dsc
[open]
[-] sort
[open]
[-] install
[open]
[-] true
[open]
[-] mariadb-setpermission
[open]
[-] join
[open]
[-] printenv
[open]
[-] xargs
[open]
[-] env
[open]
[-] aspell
[open]
[-] vmstat
[open]
[-] rm
[open]
[-] fc-query
[open]
[-] sha384sum
[open]
[-] ps2epsi
[open]
[-] rvi
[open]
[-] base32
[open]
[-] libtool
[open]
[-] gsoelim
[open]
[-] ed
[open]
[-] gtar
[open]
[-] zfgrep
[open]
[-] cc
[open]
[-] zipnote
[open]
[-] false
[open]
[-] Mail
[open]
[-] xmlcatalog
[open]
[-] prove
[open]
[-] tload
[open]
[-] shred
[open]
[-] fc-conflist
[open]
[-] mysqlaccess
[open]
[-] pmap
[open]
[-] rnano
[open]
[-] runcon
[open]
[-] date
[open]
[-] conjure
[open]
[-] cmp
[open]
[-] comm
[open]
[-] vimdiff
[open]
[-] mariadb-slap
[open]
[-] skill
[open]
[-] cpan
[open]
[-] script
[open]
[-] sha224sum
[open]
[-] cksum
[open]
[-] mknod
[open]
[-] chrt
[open]
[-] tee
[open]
[-] id
[open]
[-] getent
[open]
[-] mariadb
[open]
[-] getconf
[open]
[-] automake
[open]
[-] infotocap
[open]
[-] clear
[open]
[-] view
[open]
[-] mysql_config
[open]
[-] perlthanks
[open]
[-] users
[open]
[-] iconv
[open]
[-] pod2man
[open]
[-] colrm
[open]
[-] groups
[open]
[-] zdiff
[open]
[-] at
[open]
[-] fc-list
[open]
[-] renew-dummy-cert
[open]
[-] pydoc3
[open]
[-] pod2text
[open]
[-] python2
[open]
[-] git-upload-pack
[open]
[-] gpg-agent
[open]
[-] ln
[open]
[-] colcrt
[open]
[-] ex
[open]
[-] fgrep
[open]
[-] mysqlcheck
[open]
[-] zgrep
[open]
[-] nice
[open]
[-] gcov-tool
[open]
[-] pdf2ps
[open]
[-] git
[open]
[-] mariadb-hotcopy
[open]
[-] mariadb-dumpslow
[open]
[-] mkdir
[open]
[-] nano
[open]
[-] scl
[open]
[-] python3
[open]
[-] ps2pdf14
[open]
[-] captoinfo
[open]
[-] mail
[open]
[-] ps2ascii
[open]
[-] x86_64-redhat-linux-gcc-11
[open]
[-] atrm
[open]
[-] sha256sum
[open]
[-] perl5.32.1
[open]
[-] getopt
[open]
[-] gcov
[open]
[-] cat
[open]
[-] git-receive-pack
[open]
[-] red
[open]
[-] mktemp
[open]
[-] printf
[open]
[-] pango-list
[open]
[-] tsort
[open]
[-] who
[open]
[-] cloudlinux-awp-user
[open]
[-] egrep
[open]
[-] mariadb-waitpid
[open]
[-] ranlib
[open]
[-] pgrep
[open]
[-] geqn
[open]
[-] mariadb-conv
[open]
[-] eps2eps
[open]
[-] factor
[open]
[-] ghostscript
[open]
[-] perlivp
[open]
[-] preunzip
[open]
[-] tbl
[open]
[-] enc2xs
[open]
[-] uname
[open]
[-] zipcloak
[open]
[-] numfmt
[open]
[-] sha512sum
[open]
[-] x86_64-redhat-linux-g++
[open]
[-] compare
[open]
[-] cpp
[open]
[-] pydoc
[open]
[-] prezip-bin
[open]
[-] uniq
[open]
[-] md5sum
[open]
[-] spell
[open]
[-] mariadb-check
[open]
[-] hostname
[open]
[-] vdir
[open]
[-] addr2line
[open]
[-] import
[open]
[-] convert
[open]
[-] sqlite3
[open]
[-] nslookup
[open]
[-] bzcat
[open]
[-] mariadb-convert-table-format
[open]
[-] df
[open]
[-] seq
[open]
[-] mysql
[open]
[-] gcc
[open]
[-] pydoc3.9
[open]
[-] pinky
[open]
[-] bison
[open]
[-] diff
[open]
[-] gzexe
[open]
[-] mysqladmin
[open]
[-] groff
[open]
[-] geoiplookup6
[open]
[-] display
[open]
[-] bzip2recover
[open]
[-] logger
[open]
[-] mariadb-plugin
[open]
[-] zegrep
[open]
[-] zipsplit
[open]
[-] slabtop
[open]
[-] clwpos-user
[open]
[-] cyrusbdb2current
[open]
[-] ar
[open]
[-] eqn
[open]
[-] autoscan
[open]
[-] screen
[open]
[-] top
[open]
[-] delv
[open]
[-] bzip2
[open]
[-] pod2html
[open]
[-] fc-scan
[open]
[-] lessecho
[open]
[-] idn
[open]
[-] scalar
[open]
[-] which
[open]
[-] prezip
[open]
[-] csplit
[open]
[-] mysql_waitpid
[open]
[-] gcc-ranlib
[open]
[-] make-dummy-cert
[open]
[-] sprof
[open]
[-] wget
[open]
[-] pwd
[open]
[-] php
[open]
[-] pr
[open]
[-] snice
[open]
[-] chown
[open]
[-] gs
[open]
[-] infocmp
[open]
[-] scp
[open]
[-] lesspipe.sh
[open]
[-] ls
[open]
[-] tic
[open]
[-] podchecker
[open]
[-] dbiprof
[open]
[-] perldoc
[open]
[-] look
[open]
[-] instmodsh
[open]
[-] zmore
[open]
[-] pkill
[open]
[-] gpic
[open]
[-] ssh
[open]
[-] flex++
[open]
[-] find
[open]
[-] bzless
[open]
[-] arch
[open]